#ifndef ArduinoADC_H
#define ArduinoADC_H

#include <QMainWindow>
#include <QSystemTrayIcon>

#include <qextserialport.h>

#include <qwt_plot_curve.h>

namespace Ui {
class ArduinoADC;
}

class ArduinoADC : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit ArduinoADC(QWidget *parent = 0);
    ~ArduinoADC();

private slots:
    void onReadyRead();

    void on_actionAbout_triggered();
    void on_actionExit_triggered();
    void on_actionConnect_triggered();
    void on_actionDisconnect_triggered();

private:
    Ui::ArduinoADC *ui;
    QextSerialPort *serialPort;
    QSystemTrayIcon *trayIcon;
    QMenu *trayMenu;
    QString portName;
    QwtPlotCurve *curve;
};

#endif // ArduinoADC_H
