#ifndef _ARDUINOPLOT_H_
#define _ARDUINOPLOT_H_

#include <QTimer>

#include <qwt_plot.h>
#include <qwt_system_clock.h>
#include <qwt_plot_grid.h>
#include <qwt_plot_curve.h>

class ArduinoPlot: public QwtPlot
{
    Q_OBJECT

public:
    explicit ArduinoPlot(QWidget* = 0);
    ~ArduinoPlot();
    void addValue(double value);

public slots:
    void start();
    void stop();

private slots:
    void timerTimeout();

private:
    void clearData();

    QwtPlotGrid *grid;
    QwtPlotCurve *curve;

    QTimer *timer;

    double interval;
    int numPoints;
    int refreshPeriod;
    double newValue;
    QVector<double> x;
    QVector<double> data;
};

#endif
